## net.dontdrinkandroot.lastfm.api.model.xspf
Class XspfTrack

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.xspf.XspfTrack

    public class XspfTrack

extends java.lang.Object

Constructor Summary
`XspfTrack(org.w3c.dom.Element trackElement)`

Method Summary
`java.lang.String` `getAlbum()`
`java.lang.String` `getCreator()`
`java.lang.Integer` `getDuration()`
`java.net.URI` `getIdentifier()`
`java.net.URI` `getImage()`
`java.util.List<java.net.URI>` `getLocations()`
`java.lang.String` `getTitle()`
`void` `setAlbum(java.lang.String album)`
`void` `setCreator(java.lang.String creator)`
`void` `setDuration(java.lang.Integer duration)`
`void` `setIdentifier(java.net.URI identifier)`
`void` `setImage(java.net.URI image)`
`void` `setLocations(java.util.List<java.net.URI> locations)`
`void` `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XspfTrack

    public XspfTrack(org.w3c.dom.Element trackElement)

Method Detail

### getLocations

    public final java.util.List<java.net.URI> getLocations()

### setLocations

    public void setLocations(java.util.List<java.net.URI> locations)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getAlbum

    public java.lang.String getAlbum()

### getCreator

    public java.lang.String getCreator()

### getDuration

    public java.lang.Integer getDuration()

### getIdentifier

    public java.net.URI getIdentifier()

### getImage

    public java.net.URI getImage()

### setAlbum

    public void setAlbum(java.lang.String album)

### setCreator

    public void setCreator(java.lang.String creator)

### setDuration

    public void setDuration(java.lang.Integer duration)

### setIdentifier

    public void setIdentifier(java.net.URI identifier)

### setImage

    public void setImage(java.net.URI image)

Copyright © 2012. All Rights Reserved.